Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 461954 (gcc-4.8) - GCC 4.8 porting
Summary: GCC 4.8 porting
Status: RESOLVED FIXED
Alias: gcc-4.8
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GCC Porting (show other bugs)
Hardware: All Linux
: Normal normal with 5 votes (vote)
Assignee: Please assign to toolchain
URL: http://gcc.gnu.org/gcc-4.8/porting_to...
Whiteboard:
Keywords: Tracker
Depends on: 458706 415949 461966 462882 462898 463434 463564 464280 465046 465048 465194 465268 465334 465590 465894 466420 466422 466488 466862 468136 468246 470638 470838 471274 474686 475270 477118 482576 483006 483670 483678 483682 490206 495200 499166 499442 500064 500944 PR60465 508758 513386 519346 523736 524914 526140
Blocks: gcc-4.8-stable
  Show dependency tree
 
Reported: 2013-03-16 20:54 UTC by Ryan Hill (RETIRED)
Modified: 2015-10-18 06:11 UTC (History)
32 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Hill (RETIRED) gentoo-dev 2013-03-16 20:54:56 UTC
This is the tracker for GCC 4.8.  Do NOT report bugs here.

- create a NEW bug assigned to the maintainer of the package in question (ie. NOT gcc-porting@gentoo.org)
- Don't use this bug for issues in GCC 4.8 itself.  File a new bug and assign
it to the toolchain team.
 - Please keep this tracker free from comments.  Discussion should take place
on the relevant bugs.
Comment 1 Ryan Hill (RETIRED) gentoo-dev 2013-04-02 00:40:21 UTC
Please stop filing bugs encountered when using gcc 4.8 ebuilds from overlays, other than the toolchain overlay.  We obviously don't support these versions.
Comment 2 Mike Lothian 2013-04-06 01:37:47 UTC
Ryan this is probably a silly question but where is the gcc-4.8 ebuild in the toolchain overlay? It seems there's an alpha from last year and a live one of 4.8.1
Comment 3 Ryan Hill (RETIRED) gentoo-dev 2013-04-06 20:34:10 UTC
4.8.0 is in the tree now.
Comment 4 Mike Lothian 2013-04-09 17:43:40 UTC
Ryan I've tried removing and readding the toolchain overlay but I'm still not seeing gcc-4.8
Comment 5 Ryan Hill (RETIRED) gentoo-dev 2013-04-10 00:05:01 UTC
It's in the gentoo tree, not an overlay.

$ equery which gcc:4.8
/usr/portage/sys-devel/gcc/gcc-4.8.0.ebuild
Comment 6 salamanderrake 2013-05-31 16:51:02 UTC
gcc-4.8.1 has just been released today.
Comment 7 wbrana 2013-08-13 21:16:17 UTC
I think GCC 4.8 shouldn't be unmasked as there are many wrong code bugs in GCC's bugzilla
Comment 8 Ryan Hill (RETIRED) gentoo-dev 2013-10-07 05:45:25 UTC
4.8 is now unmasked.  Please continue to add any porting bugs you encounter to this tracker so we have an accurate list of packages for stabilization.
Comment 9 SpanKY gentoo-dev 2015-09-29 18:26:32 UTC
4.8.x is in stable.  not a lot left to do here.